## ximagesink ximagesink — A standard X based videosink |

## Synopsis

    struct              GstXImageSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstVideoSink
                               +----GstXImageSink

## Implemented Interfaces

GstXImageSink implements GstImplementsInterface, GstNavigation and GstXOverlay.

## Properties

      "display"                  gchar*                : Read / Write
      "pixel-aspect-ratio"       gchar*                : Read / Write
      "synchronous"              gboolean              : Read / Write
      "force-aspect-ratio"       gboolean              : Read / Write
      "handle-events"            gboolean              : Read / Write
      "handle-expose"            gboolean              : Read / Write
      "window-height"            guint64               : Read
      "window-width"             guint64               : Read

## Description

## Synopsis

### Element Information

plugin | ximagesink
author | Julien Moutte <julien@moutte.net>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-rgb, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]

## Details

### struct GstXImageSink

    struct GstXImageSink;

## Property Details

### The `"display"` property

      "display"                  gchar*                : Read / Write

X Display name.

Default value: NULL

### The `"pixel-aspect-ratio"` property

      "pixel-aspect-ratio"       gchar*                : Read / Write

The pixel aspect ratio of the device.

Default value: "1/1"

### The `"synchronous"` property

      "synchronous"              gboolean              : Read / Write

When enabled, runs the X display in synchronous mode. (unrelated to A/V sync, used only for debugging).

Default value: FALSE

### The `"force-aspect-ratio"` property

      "force-aspect-ratio"       gboolean              : Read / Write

When enabled, reverse caps negotiation (scaling) will respect original aspect ratio.

Default value: FALSE

### The `"handle-events"` property

      "handle-events"            gboolean              : Read / Write

When enabled, XEvents will be selected and handled.

Default value: TRUE

### The `"handle-expose"` property

      "handle-expose"            gboolean              : Read / Write

When enabled, the current frame will always be drawn in response to X Expose events.

Default value: TRUE

### The `"window-height"` property

      "window-height"            guint64               : Read

Height of the window.

Default value: 0

### The `"window-width"` property

      "window-width"             guint64               : Read

Width of the window.

Default value: 0